Jump to content


Photo

e2m3u2bouquet plugin


  • Please log in to reply
19 replies to this topic

#1 zigzag

  • Senior Member
  • 169 posts

0
Neutral

Posted 26 June 2018 - 12:28

Hi, we would really appreciate some help with an issue we are having using the

e2m3u2bouquet plugin.

 

This plugin is installed and can be used without any issues with the OpenVix image

but we are unable to use it with OpenPli - our preferred image.

 

The issue is, after manually installing the 0.6.3 version of the plugin which is a whole lot easier for us

to use, we add our provider, username/password as required then select 'run' to update channels

but at this point nothing happens at all. All details entered are correct yet the update doesn't begin

so no channels/bouquets for iptv are imported at all.

 

We install the 0.6.3 version as we have no knowledge of how to use the script in the new version available

in 'downloads'. 

 

It really would be so helpful if the 0.6.3 version could be made available as well as the latest version as it works

in a so much easier way to add provider details than the current version, if you do not have more 'expert' knowledge.

 

The receiver is an Xtrend 9200.

 

As i have mentioned, this plugin works without any issues in OpenVix but we really would like to use OpenPli if

we could get this plugin to work.

 

Any help would be very much appreciated.

 



Re: e2m3u2bouquet plugin #2 zigzag

  • Senior Member
  • 169 posts

0
Neutral

Posted 27 June 2018 - 11:05

So nobody at OpenPli can offer any help with this issue at all?



Re: e2m3u2bouquet plugin #3 WanWizard

  • PLi® Core member
  • 58,432 posts

+1,274
Excellent

Posted 27 June 2018 - 11:28

Contact the author of the plugin, and have him fix the incompatibility. If the source is published, we can then include it in the feed (if it doesn't do anything illegal).


Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2+fallback), Octagon SF8008 (S2+T2), Zgemma H9.2H (T2+fallback)

Many answers to your question can be found in our new and improved wiki.

Because to health reasons, I will not be active online very often anymore.


Re: e2m3u2bouquet plugin #4 Pr2

  • PLi® Contributor
  • 4,755 posts

+197
Excellent

Posted 27 June 2018 - 14:08

This is probably a missing python package used by the plugin and installed by default in OpenVix but not in OpenPLi.

But since the package creator doesn't create a depency for this package it is not automatically installed.

 

Here are the missing packages:

 

opkg update
opkg install python-image python-imaging python-argparse

 

This was described on the source of the plugin (so yes it is an opensource plugin).

 

https://github.com/su1s/e2m3u2bouquet

 

Pr2


NO SUPPORT by PM, it is a forum make your question public so everybody can benefit from the question/answer.
If you think that my answer helps you, you can press the up arrow in bottom right of the answer.

Wanna help with OpenPLi Translation? Please read our Wiki Information for translators

Sat: Hotbird 13.0E, Astra 19.2E, Eutelsat5A 5.0W
VU+ Solo 4K: 2*DVB-S2 + 2*DVB-C/T/T2 (used in DVB-C) & Duo 4K: 2*DVB-S2X + DVB-C (FBC)
Edision OS Mio 4K: 1*DVB-S2X + 1*DVB-C/T/T2
 


Re: e2m3u2bouquet plugin #5 WanWizard

  • PLi® Core member
  • 58,432 posts

+1,274
Excellent

Posted 27 June 2018 - 14:24

It doesn't look like a plugin. It looks like a commandline tool to convert m3u files to a bouquet file.

 

I had a quick peek in the encoded providers file, and it looks to me like a list of illegal IPTV providers, so I don't think we're going to add it. ;)


Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2+fallback), Octagon SF8008 (S2+T2), Zgemma H9.2H (T2+fallback)

Many answers to your question can be found in our new and improved wiki.

Because to health reasons, I will not be active online very often anymore.


Re: e2m3u2bouquet plugin #6 zigzag

  • Senior Member
  • 169 posts

0
Neutral

Posted 27 June 2018 - 23:19

It doesn't look like a plugin. It looks like a commandline tool to convert m3u files to a bouquet file.

 

I had a quick peek in the encoded providers file, and it looks to me like a list of illegal IPTV providers, so I don't think we're going to add it. ;)

really?..yet you DO have the latest version already available for install in Downloads? 



Re: e2m3u2bouquet plugin #7 WanWizard

  • PLi® Core member
  • 58,432 posts

+1,274
Excellent

Posted 28 June 2018 - 00:13

Where exactly, how is it called? I can't find it:

root@et10000:~# opkg list | grep bouquet
enigma2-plugin-extensions-autobouquets - 1.0+git127+38eb091-r2.0
enigma2-plugin-extensions-mosaicbouquet - 1.0
enigma2-plugin-extensions-refreshbouquet - 2.0+git62+45832c7-r0.0
enigma2-plugin-systemplugins-autobouquetsmaker - 2.1+git467+62459f9-r2.0
enigma2-plugin-systemplugins-autobouquetsmaker-po - 2.1+git467+62459f9-r2.0
enigma2-plugin-systemplugins-autobouquetsmaker-src - 2.1+git467+62459f9-r2.0
enigma2-plugin-systemplugins-bouquetsprotection - 0.5

Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2+fallback), Octagon SF8008 (S2+T2), Zgemma H9.2H (T2+fallback)

Many answers to your question can be found in our new and improved wiki.

Because to health reasons, I will not be active online very often anymore.


Re: e2m3u2bouquet plugin #8 zigzag

  • Senior Member
  • 169 posts

0
Neutral

Posted 28 June 2018 - 10:23

I've reverted back to using OpenVix where this works perfectly so i cannot check again but it was

located in Downloads/Extensions as e2m3u2bouquet 0.7.3 (or maybe 0.7.4). 

 

It's exactly the same plugin only the newer version you have whereas i don't know how to use the new version

so use an older version. 



Re: e2m3u2bouquet plugin #9 WanWizard

  • PLi® Core member
  • 58,432 posts

+1,274
Excellent

Posted 28 June 2018 - 11:24

I double checked, it is definitely NOT in our feed. And given the content, it will never be, our position is simple: buy a subcription.


Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2+fallback), Octagon SF8008 (S2+T2), Zgemma H9.2H (T2+fallback)

Many answers to your question can be found in our new and improved wiki.

Because to health reasons, I will not be active online very often anymore.


Re: e2m3u2bouquet plugin #10 jpuigs

  • Senior Member
  • 1,098 posts

+28
Good

Posted 28 June 2018 - 14:17

I had a quick peek in the encoded providers file, and it looks to me like a list of illegal IPTV providers, so I don't think we're going to add it. ;)

 

I have checked the base64 erncoded file and it has a list of IPTV providers, but there are no usernames and passwords, so you can't do anything illegal with this file.


Enigma is getting old....

 

Spoiler

Re: e2m3u2bouquet plugin #11 WanWizard

  • PLi® Core member
  • 58,432 posts

+1,274
Excellent

Posted 28 June 2018 - 15:36

Correct, but it sole purpose is to watch illegal IPTV, just check a few of the providers listed, they all offer traditional TV channels over IPTV.


Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2+fallback), Octagon SF8008 (S2+T2), Zgemma H9.2H (T2+fallback)

Many answers to your question can be found in our new and improved wiki.

Because to health reasons, I will not be active online very often anymore.


Re: e2m3u2bouquet plugin #12 pcd

  • Senior Member
  • 759 posts

+88
Good

Posted 28 June 2018 - 17:23

Which iptv types are legal ? How does one determine if the supplier is licenced ?



Re: e2m3u2bouquet plugin #13 WanWizard

  • PLi® Core member
  • 58,432 posts

+1,274
Excellent

Posted 28 June 2018 - 17:37

The ones supplied by an official provider. And I've still have to see the first one that allows access to it's IPTV channels using an Enigma or Kodi box.

 

The quick check I did was simple: see if they offer a SKY UK channel. If so, it is 100% illegal. And all do.


Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2+fallback), Octagon SF8008 (S2+T2), Zgemma H9.2H (T2+fallback)

Many answers to your question can be found in our new and improved wiki.

Because to health reasons, I will not be active online very often anymore.


Re: e2m3u2bouquet plugin #14 dsayers2016

  • Member
  • 17 posts

0
Neutral

Posted 30 June 2018 - 14:01

Latest version doesn't support providers, you add the config yourself so any m3u file can be used.

Re: e2m3u2bouquet plugin #15 Erik Slagter

  • PLi® Core member
  • 46,681 posts

+534
Excellent

Posted 6 July 2018 - 10:01

Which iptv types are legal ? How does one determine if the supplier is licenced ?

The law (in any case Dutch law) says: "use your common sense". If all parties sell subcriptions for 20 euro's a month and then you get an offer for only 5 euro's a month, you CAN know it's illegal and you're liable, no excuse.

 

Besides that, no legal party will supply IPtv to open receivers, as already once explained by WanWizard, because they can't control illegal sharing then.


* Wavefrontier T90 with 28E/23E/19E/13E/9E/4.8E/0.8W/5W via SCR switches 2 x 2 x 6 user bands
* Ziggo digital cable TV (FTA)
I don't read PM -> if you have something to ask or to report, do it in the forum so others can benefit. I don't take freelance jobs.
Ik lees geen PM -> als je iets te vragen of te melden hebt, doe het op het forum, zodat anderen er ook wat aan hebben.

Re: e2m3u2bouquet plugin #16 easydone

  • Member
  • 3 posts

0
Neutral

Posted 10 June 2021 - 12:47

Hallo, wilde e2m3u2bouquet gebruiken om regelmatig de bouquetten te updaten met nieuwe links (denk hierbij aan de streaming bouquetten die in de Hans-settings staan), betreft voornamelijk lokale en regionale omroepen.

e2m3u2bouquet is daar een perfecte plugin voor. Hoop dat jullie je standpunt heroverwegen (als je alles gaat weren dat ook onwettelijk gebruikt kan worden dan kan er nog veel verboden worden).


Edited by Frenske, 10 June 2021 - 13:40.
Please only post in English so our international members will be able to respond on your ‘request’.


Re: e2m3u2bouquet plugin #17 FRAP

  • Senior Member
  • 302 posts

+23
Neutral

Posted 10 June 2021 - 17:46

Hallo, wilde e2m3u2bouquet gebruiken om regelmatig de bouquetten te updaten met nieuwe links (denk hierbij aan de streaming bouquetten die in de Hans-settings staan), betreft voornamelijk lokale en regionale omroepen.

e2m3u2bouquet is daar een perfecte plugin voor. Hoop dat jullie je standpunt heroverwegen (als je alles gaat weren dat ook onwettelijk gebruikt kan worden dan kan er nog veel verboden worden).

e2m3u2bouquet is not a perfect plugin. You don't have much information about it. Why should it be in a box with lots of python files? All the more so, it needs certain libraries to work. Plus there must be additional windows (this should be handled by the skinner) From my perspective, this software increases the mental capacity of the AUTHOR! But practically it is not needed in the box. I use a regular laptop and a portable program from Sayyid for this
PS The software will do the job without any dust or noise. :)

Alcohol for wimps. Strong people enjoy depression.


Re: e2m3u2bouquet plugin #18 easydone

  • Member
  • 3 posts

0
Neutral

Posted 10 June 2021 - 21:33

if there's other software that does what i want, that's fine too.

what e2m3u2bouquet does for me is:

- makes the bouquets (from a link to a m3u file)

- updates the bouquets every x day's without further user interference. 



Re: e2m3u2bouquet plugin #19 kalehrl

  • Senior Member
  • 439 posts

+7
Neutral

Posted 11 June 2021 - 13:21

You don't actually need the whole plugin, just e2m3u2bouquet.py which you can start from the terminal.



Re: e2m3u2bouquet plugin #20 littlesat

  • PLi® Core member
  • 53,184 posts

+614
Excellent

Posted 11 June 2021 - 15:33

Plugin needs revision… os.system on many places instead of using eConsole…

Edited by littlesat, 11 June 2021 - 15:37.

WaveFrontier 28.2E | 23.5E | 19.2E | 16E | 13E | 10/9E | 7E | 5E | 1W | 4/5W | 15W





2 user(s) are reading this topic

0 members, 2 guests, 0 anonymous users